Base Module VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Typedefs | Functions | Variables
Steinberg::Singleton Namespace Reference

Automatic creation and destruction of singleton instances. More...

## Typedefs
using | ObjectVector = std::vector< FObject ** >

## Functions
bool | isTerminated ()
| Returns true when singleton instances were already released.
void | lockRegister ()
| lock and unlock the singleton registration for multi-threading safety
void | unlockRegister ()
void | registerInstance (FObject **o)
| registers an instance (type FObject)

## Variables
ObjectVector * | singletonInstances = nullptr
bool | singletonsTerminated = false
Steinberg::Base::Thread::FLock * | singletonsLock
struct Steinberg::Singleton::Deleter | deleter

## Detailed Description

Automatic creation and destruction of singleton instances.

## Typedef Documentation

using ObjectVector = std::vector<FObject**>

## Function Documentation

bool isTerminated | ( |  | ) |

Returns true when singleton instances were already released.

void lockRegister | ( |  | ) |

lock and unlock the singleton registration for multi-threading safety

void unlockRegister | ( |  | ) |

void registerInstance | ( | FObject ** | o | ) |

registers an instance (type FObject)

## Variable Documentation

ObjectVector* singletonInstances = nullptr

bool singletonsTerminated = false

Steinberg::Base::Thread::FLock* singletonsLock

struct Steinberg::Singleton::Deleter deleter

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.